//<editor-fold desc="Angular Material Inputs">
.mat-input-element {
  color: $onyx !important;
  font-weight: 500 !important;
}

.mat-form-field.mat-focused .mat-form-field-label,
.mat-form-field-appearance-legacy.mat-form-field-can-float.mat-form-field-should-float .mat-form-field-label {
  color: rgba($black, .5) !important;
  /*font-weight: 500 !important;*/
}

.mat-form-field .mat-form-field-label {
  color: rgba($onyx, .6) !important;
  font-weight: 400 !important;
}

.mat-focused .mat-form-field-underline .mat-form-field-ripple {
  background-color: $onyx !important;
}

.mat-input-element:disabled,
.mat-form-field-type-mat-select.mat-form-field-disabled,
.mat-form-field-type-mat-native-select.mat-form-field-disabled .mat-form-field-infix::after,
.mat-select-disabled .mat-select-value {
  color: rgba($onyx, .6) !important;
  font-weight: bold !important;
}

.mat-form-field-infix {
  width: 100% !important;

  label {
    width: 100% !important;
  }
}

.mat-form-field-appearance-legacy.mat-form-field-disabled .mat-form-field-underline {
  background-size: 100% 100% !important;
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0.42) 0%, rgba(0, 0, 0, 0.42) 100%, transparent 0%) !important;
}

.mat-form-field-disabled {
  cursor: not-allowed;
}

mat-form-field {
  width: 100% !important;
  font-size: 1rem !important;
  font-weight: $font-medium;

  &.counter {
    .mat-form-field-infix {
      display: flex !important;
      align-items: center;

      label {
        flex-grow: 1;
      }
    }

    .mat-icon {
      //height: 45px;
      width: 30px;
      display: flex;
      align-items: center;
      justify-content: space-around;

      .counter-btns {
        span, fa-icon {
          display: inline-flex;
          cursor: pointer;
          font-size: 1rem;
          color: $dark-gray;
        }
      }
    }
  }
}

mat-form-field.gray-input {
  background-color: $light-gray;
  display: flex;
  padding: 0 16px;
  height: 55px;

  .mat-form-field-underline {
    display: none !important;
  }

  .mat-form-field-infix {
    padding-bottom: 0;
  }

  &.mat-form-field-should-float {
    .mat-form-field-label-wrapper {
      display: none !important;
    }
  }
}

mat-form-field.gray-datepicker {
  background-color: $light-gray;
  display: flex;
  height: 55px;

  .mat-form-field-wrapper {
    width: 100%;
  }

  .mat-form-field-underline {
    display: none !important;
  }

  label,
  .mat-form-field-suffix {
    padding: 0 16px;
  }

  .mat-form-field-infix {
    padding-bottom: 0;
  }

  &.mat-form-field-should-float {
    .mat-form-field-label-wrapper {
      display: none !important;
    }
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material Select">
.mat-select-arrow {
  width: 0 !important;
  height: 0 !important;
  border-left: none !important;
  border-right: none !important;
  border-top: none !important;
}

.mat-select-value {
  color: $onyx !important;
  font-weight: 500 !important;
}

.mat-select-panel {
  border-radius: 0 !important;
}

.gray-select {
  padding-bottom: 1.25em;

  .select-container {
    background-color: $light-gray;
    display: flex;
    align-items: center;
    padding: 0 16px;
    height: 55px;
    min-width: 150px;
  }

  .mat-form-field-underline {
    display: none !important;
  }

  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
    width: 100% !important;
  }

  .mat-form-field-infix {
    border-top: 0 !important;
  }

  .mat-form-field-flex {
    align-items: center !important;
  }

  .mat-form-field-should-float {
    .mat-form-field-label-wrapper {
      display: none !important;
    }
  }
}

.white-select {
  padding-bottom: 1.25em;

  .select-container {
    background-color: $white;
    display: flex;
    align-items: center;
    padding: 0 16px;
    height: 55px;
    min-width: 150px;
  }

  .mat-form-field-underline {
    display: none !important;
  }

  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
    width: 100% !important;
  }

  .mat-form-field-infix {
    border-top: 0 !important;
  }

  .mat-form-field-flex {
    align-items: center !important;
  }

  .mat-form-field-should-float {
    .mat-form-field-label-wrapper {
      display: none !important;
    }
  }
}


.mat-option.mat-option-multiple:hover {
  .mat-pseudo-checkbox {
    background: transparent !important;
    border-color: transparent !important;
  }
}

.mat-primary .mat-pseudo-checkbox-checked,
.mat-primary .mat-pseudo-checkbox-indeterminate {
  background: transparent !important;
  border-color: transparent !important;
  color: $oasis-light !important;
}

.mat-pseudo-checkbox-checked::after {
  top: 2px !important;
  right: 2px !important;
  width: 18px !important;
  height: 18px !important;
  opacity: 1 !important;
  box-sizing: content-box !important;
  border: 0 !important;
  background-color: transparent !important;
  background: url("../assets/images/check-mark.svg");
  background-repeat: no-repeat;
  transform: rotate(0deg) !important;
  background-size: 100% 100%;
}

.mat-pseudo-checkbox {
  width: 20px !important; 
  height: 20px !important;
  order: 2;
  border: 0 !important;
 
}

//</editor-fold>
//<editor-fold desc="Angular Material Datepicker">
.mat-datepicker-content {
  box-shadow: none !important;
  border: 4px solid $light-gray !important;
  border-radius: 0 !important;

  .mat-calendar {
    .mat-calendar-header {
      .mat-calendar-controls {
        display: flex !important;
        justify-content: space-between !important;

        .mat-calendar-spacer {
          display: none !important;
        }

        .mat-calendar-period-button {
          .mat-button-focus-overlay {
            display: none !important;
          }

          .mat-calendar-arrow {
            display: none !important;
          }
        }

        .mat-calendar-previous-button {
          order: -1;
        }
      }
    }

    .mat-calendar-content {
      table.mat-calendar-table {
        .mat-calendar-table-header {
          tr:first-child {
            th {
              color: $dark-gray;
              font-weight: bold;
            }
          }

          tr:nth-child(2) {
            .mat-calendar-table-header-divider {
              &:after {
                left: 0;
                right: 0;
              }
            }
          }
        }

        .mat-calendar-body {
          tr .mat-calendar-body-label {
            display: none;
          }

          tr td {
            color: $onyx;
            font-weight: 500;

            .mat-calendar-body-today {
              border-color: $primary-purple;
            }

            .mat-calendar-body-selected {
              background-color: $coral;
            }
          }
        }
      }
    }
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material number input">
.number-input-container {
  input[type=number] {
    -webkit-appearance: textfield;
    -moz-appearance: textfield;
    appearance: textfield;
  }

  input[type=number]::-webkit-inner-spin-button,
  input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
  }

  button {
    outline: none;
    -webkit-appearance: none;
    background-color: transparent;
    border: none;
    cursor: pointer;
  }

  .mat-form-field-suffix {
    display: flex;
    flex-direction: column;

    > button:last-child {
      margin-top: -8px;
    }
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material toggle slide">
.mat-slide-toggle-bar {
  width: 38px !important;
  height: 22px !important;
  background-color: transparent !important;
  border: 2px solid $dark-gray !important;
  border-radius: 24px !important;
}

.mat-slide-toggle-thumb {
  height: 15px !important;
  width: 15px !important;
  background-color: $dark-gray !important;
  box-shadow: none !important;
}

.mat-slide-toggle-thumb-container {
  top: 1.4px !important;
  left: 2px !important;
  width: 15px !important;
  height: 15px !important;
}

.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
  background-color: transparent !important;
  border: 2px solid $primary-purple !important;
  border-radius: 24px !important;
}

.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
  background-color: $primary-purple !important;
  box-shadow: none !important;
}

.mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb-container {
  top: 1.2px !important;
  left: 1px !important;
}

// </editor-fold>
//<editor-fold desc="Angular Material Modal">
.mat-dialog-container {
  border-radius: 0 !important;
  padding: 0 !important;
}

//</editor-fold>
//<editor-fold desc="Angular Material checkbox">
.mat-checkbox.mat-accent {
  .mat-checkbox-inner-container {
    height: 25px;
    width: 26px;
  }

  .mat-checkbox-frame {
    border: 2px solid $white;
    border-radius: 0;
  }

  &.mat-checkbox-checked .mat-checkbox-background {
    background-color: $coral !important;
    border: 2px solid transparent;
    transform: scale(.6);
    border-radius: 0;

    .mat-checkbox-checkmark {
      display: none;
      opacity: 0;
      visibility: hidden;
    }
  }

  .gray-checkbox.mat-checkbox-checked .mat-checkbox-frame {
    border-color: $coral !important;
  }

  .mat-checkbox-checkmark-path {
    stroke: $white !important;
  }
}

.mat-checkbox-frame {
  border-color: $white !important;
}

.mat-checkbox-checked .mat-checkbox-background {
  background-color: $coral !important;
  border: 2px solid transparent;
  transform: scale(.6);
  border-radius: 0;

  .mat-checkbox-checkmark {
    display: none;
    opacity: 0;
    visibility: hidden;
  }
}

.mat-checkbox-checkmark {
  display: none;
  opacity: 0;
  visibility: hidden;
}

.mat-checkbox-checked .mat-checkbox-frame {
  border-color: $coral !important;
}

.mat-checkbox-indeterminate {
  .mat-checkbox.mat-accent .mat-checkbox-frame {
    border: 2px solid $coral;
  }

  .mat-checkbox-background {
    background-color: $coral !important;
    border-radius: 0 !important;
  }

  .mat-checkbox-mixedmark {
    background-color: $white !important;
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material colored checkbox">
.gray-checkbox.mat-checkbox.mat-accent {
  .mat-checkbox-frame {
    border-color: $light-gray !important;
  }

  &.mat-checkbox-checked .mat-checkbox-frame {
    border-color: $coral !important;
  }
}

.dark-gray-checkbox.mat-checkbox.mat-accent {
  .mat-checkbox-frame {
    border-color: #DEE0E2 !important;
  }

  &.mat-checkbox-checked {
    .mat-checkbox-background {
      background-color: $coral !important;
    }

    .mat-checkbox-frame {
      border-color: $coral !important;
    }
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material custom textarea">
.mat-form-field.custom-textarea {
  border-color: $primary-purple;

  textarea {
    border: 1px solid $onyx;
    margin-top: 8px;
    padding: 10px;
    font-size: 1rem !important;
    font-weight: normal !important;
    resize: none;
  }

  .mat-form-field-underline {
    background: transparent;
    display: none;
  }

  .mat-form-field-label {
    transform: scale(1) !important;
    position: relative;
    top: -12px;
    font-size: 1rem;
    font-weight: 500;
    color: $onyx !important;
  }

  &.mat-form-field-appearance-legacy.mat-form-field-can-float.mat-form-field-should-float {
    .mat-form-field-label {
      color: $onyx !important;
    }
  }
}

.mat-form-field.custom-textarea.mat-focused {
  textarea {
    border: 1px solid $primary-purple;
    margin-top: 8px;
    padding: 10px;
    font-size: 1rem !important;
    font-weight: normal !important;
  }

  .mat-form-field-underline,
  .mat-form-field-ripple {
    background: transparent;
    display: none;
  }
}

//</editor-fold>
//<editor-fold desc="Angular Material drawer">
.mat-drawer,
.mat-drawer-backdrop.mat-drawer-shown {
  position: fixed;
  z-index: 800 !important;
}

//</editor-fold>
//<editor-fold desc="Angular Material radio button">
.mat-radio-button {
  margin: 16px 0;
}

.mat-radio-container {
  width: 21px !important;
  height: 21px !important;
  @include media-breakpoint-down(md){
    width: 19px !important;
  height: 19px !important;
    }
}

.mat-radio-outer-circle {
  width: 21px !important;
  height: 21px !important;
  border-color: $mid-gray !important;
}


.mat-radio-checked .mat-radio-outer-circle {
  border-color: $coral !important;
}

.mat-radio-inner-circle {
  width: 28px !important;
  height: 28px !important;
}

.mat-radio-checked .mat-radio-inner-circle {
  height: 21px !important;
  width: 21px !important;
  transform: scale(.7) !important;
  background-color: $coral !important;
}

//</editor-fold>
//<editor-fold desc="Angular Material colored radio button">
.white-radio {
  .mat-radio-outer-circle {
    border-color: $dark-gray !important;
    background-color: $white !important;
  }

  &.mat-radio-checked .mat-radio-outer-circle {
    border-color: $coral !important;
  }
}

//</editor-fold">

//<editor-fold desc="Angular Material toggle button">
.button-toggle {
  background-color: $light-gray !important;
  color: $onyx !important;
  padding: 0 12px !important;
}

.button-toggle.mat-button-toggle-checked {
  background-color: $coral !important;
  color: $white !important;
}


//</editor-fold>
//mat-menu-panel
.mat-menu-panel {
  min-height: auto !important;
  border-radius: 0 !important;
  box-shadow: -1px 3px 14px rgba(0, 0, 0, .08) !important;
  //min-width: 12em !important;
  .mat-menu-content {
    padding: 0 !important;

    .mat-menu-item {
      border-bottom: 1px solid #DDE0E2;

      &:last-child {
        border-bottom: 0;
      }
    }
  }
}

.mat-select-panel {
  border-radius: 0 !important;
  box-shadow: -1px 3px 14px rgba(0, 0, 0, .08) !important;
  min-width: 12em !important;
  width: calc(100% + 56px) !important;
  max-width: none !important;
  margin-top: 55px !important;

  .mat-option {
    border-bottom: 1px solid #DDE0E2;

    &.mat-selected:not(.mat-option-disabled) {
      color: $onyx !important;
    }

    &:last-child {
      border-bottom: 0;
    }
  }
}

[dir="rtl"] .mat-select-panel {
  width: 100% !important;
  margin-left: -26px !important;
}

//mat-button-toggle-group
.mat-button-toggle-group {
  border-radius: 0 !important;
  margin: 0 -1px !important;

  .mat-button-toggle {
    background-color: $off-white2 !important;
    margin: 0px 1px !important;
    padding: 0 !important;
    height: 40px;

    .mat-button-toggle-label-content {
      line-height: 40px;
      padding: 0 15px;
    }

    &.mat-button-toggle-checked {
      background-color: $primary-purple !important;
      // font-weight: 500;
      .mat-button-toggle-focus-overlay {
        display: none !important;
      }
    }
  }
}

// floating-menu
.floating-menu {
  background: transparent !important;
  box-shadow: none !important;
  overflow: visible !important;
  min-width: 260px !important;

  .mat-menu-content {
    .mat-menu-item {
      border-bottom: 0;
      background: #fff;
      margin-bottom: 10px;
      min-height: 62px;
      box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.08);

      &:hover:not([disabled]) {
        background: $off-white;
      }

      .mat-icon {
        background-color: $coral;
        width: 42px;
        height: 42px;
        border-radius: 6px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
      }
    }
  }
}

.floating-menu-backdrop {

  background: rgba(0, 0, 0, .5);
}

.mat-chip.mat-standard-chip {
  background-color: $light-gray !important;
  color: $onyx !important;
  border-radius: 0;

  .mat-chip-remove.mat-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1 !important;

    svg {
      width: 100%;
      height: 100%;
    }
  }
}

mat-datepicker-toggle {
  .mat-icon-button {
    width: 2em;
    height: 2em;
    border-radius: 0;
    margin-bottom: 4px;
  }
}


//mat-button-toggle-group
.mat-button-toggle-group {
  border-radius: 0 !important;
  margin: 0 -1px !important;

  .mat-button-toggle {
    background-color: $white !important;
    margin: 0px 1px !important;
    padding: 0 !important;
    height: 40px;
    //&:hover{
    //  background-color: $primary-purple !important;
    //}
    &.gray-mat-toggle-button {
      background-color: $off-white !important;
      min-width: 150px;

      &.mat-button-toggle-checked {
        background-color: $primary-purple !important;
      }
    }

    .mat-button-toggle-label-content {
      line-height: 40px;
      padding: 0 15px;
    }

    &.mat-button-toggle-checked {
      background-color: $primary-purple !important;
      // font-weight: 500;
      .mat-button-toggle-focus-overlay {
        display: none !important;
      }
    }
  }
}


mat-slider {
  width: 100%;

  &.mat-slider-horizontal {
    .mat-slider-wrapper {
      height: 10px;

      .mat-slider-track-wrapper {
        height: 10px;
        width: 100%;

        .mat-slider-track-background {
          background-color: $silver;
          height: 10px;
        }

        .mat-slider-track-fill {
          background-color: $coral;
          height: 10px;
        }
      }

      .mat-slider-ticks-container {
        display: none;
      }

      .mat-slider-thumb-container {
        .mat-slider-thumb {
          right: -12px;
          bottom: -12px;
          width: 24px;
          height: 24px;
          border: 0;
          border-radius: 0;
          background-color: $primary-purple;
          transform: scale(1) !important;
        }

        .mat-slider-thumb-label {
          display: flex;
          opacity: 1;
          transform: none;
          bottom: -40px;
          top: auto;
          background: transparent;

          .mat-slider-thumb-label-text {
            opacity: 1;
            transform: none;
            color: $dark-gray;
            font-weight: 500;
          }
        }
      }
    }
  }
}


// ng-select

.ng-select-multiple {
  .ng-value-container {
    max-width: calc(100% - 20px);

    .ng-value {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
      max-width: 100%;

      .ng-value-label {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
      }
    }
  }
}

.ng-select {
  &.ng-select-single {
    .ng-select-container {
      .ng-value-container {
        padding: 5px 7px !important;

        .ng-placeholder {
          display: block;
        }

        .ng-value {
          margin: 0 !important;
          flex-direction: row !important;

          .ng-value-label:not(:empty) {
            padding: 0 10px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }

        .ng-input {
          position: static !important;
          width: auto !important;
          padding: 0 10px !important;
          //max-width: 30px;
        }
      }
    }
  }

  .ng-select-container {
    min-height: 55px;
    border-radius: 0;
    border: 1px solid $dark-gray !important;
    box-shadow: none !important;

    .ng-value-container .ng-placeholder {
      position: static !important;
    }

    .ng-value-container {
      // padding: 0;

      .ng-value {
        background-color: $primary-purple !important;
        color: $white;
        border-radius: 0 !important;
        height: 30px;
        margin: 0 5px 5px;
        display: flex;
        align-items: center;
        flex-direction: row-reverse;
        //padding: 0 10px;
        .ng-value-label:not(:empty) {
          padding: 0 10px;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
        }

        .ng-value-icon.left {
          border: 0;
          font-size: 1.3rem;
          background: $white !important;
          width: 15px;
          height: 15px;
          border-radius: 50%;
          display: flex;
          align-items: center;
          justify-content: center;
          color: $primary-purple;
          margin: 0 10px;
        }
      }

      .ng-input {
        input:disabled {
          background: transparent !important;
          border: 0 !important;
          color: inherit !important;
          opacity: 1 !important;
        }
      }
    }
  }

  .ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
    background-color: $white;
    color: $onyx;
  }

  .ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-selected,
  .ng-dropdown-panel
  .ng-dropdown-panel-items
  .ng-option.ng-option-selected.ng-option-marked {
    background-color: $off-white;
    color: $onyx;
  }
}




.mat-option.mat-active {
  background-color: #fff !important;
}
.mat-primary .mat-option.mat-selected:not(.mat-option-disabled) {
  color: $oasis-light !important;
}